# classes/phing/tasks/system/ResolvePathTask.php

Task for resolving relative paths and setting absolute path in property value.

This task was created to address a need for resolving absolute paths of files / directories. In many cases a relative directory (e.g. "./build") is specified, but it needs to be treated as an absolute path since other build files (e.g. in subdirs) should all be using the same path -- and not treating it as a relative path to their own directory.

`<echo>Resolved [absolute] path: ${absolute_path}</echo>`

TODO: - Possibly integrate this with PackageAsPath, for handling/resolving dot-path paths.

author
  Hans Lellelid
package
  phing.tasks.system
version
  $Revision: 552 $

## \ResolvePathTask
jump to top

Task for resolving relative paths and setting absolute path in property value.

This task was created to address a need for resolving absolute paths of files / directories. In many cases a relative directory (e.g. "./build") is specified, but it needs to be treated as an absolute path since other build files (e.g. in subdirs) should all be using the same path -- and not treating it as a relative path to their own directory.

`<echo>Resolved [absolute] path: ${absolute_path}</echo>`

TODO: - Possibly integrate this with PackageAsPath, for handling/resolving dot-path paths.

Extends from
  \Task
author
  Hans Lellelid
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 552 $

### Properties

`$dir= ''`

Base directory used for resolution.

Details

Type

`$file= ''`

The [possibly] relative file/path that needs to be resolved.

Details

Type

`$propertyName= ''`

Name of property to set.

Details

Type

### Methods

`main( ) :`
Perform the resolution & set property.
`setDir( \PhingFile $d ) :`
Sets a base dir to use for resolution.
Parameters

Name | Type | Description
--- | --- | ---
$d | \PhingFile |

`setFile( string $f ) :`
Sets a file that we want to resolve.
Parameters

Name | Type | Description
--- | --- | ---
$f | string |

`setPath( string $f ) :`
Sets a path (file or directory) that we want to resolve.

This is the same as setFile() -- just more generic name so that it's clear that you can also use it to set directory.

Parameters

Name | Type | Description
--- | --- | ---
$f | string |

Details

see
  \setFile()

`setPropertyName( string $v ) : void`
Set the name of the property to set.
Parameters

Name | Type | Description
--- | --- | ---
$v | string | Property name

Documentation was generated by DocBlox 0.13.1.